
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Servlet中jdbc应用高级篇（三） / iVAN</title>

    <meta name="description" content="Servlet中jdbc应用高级篇（三） DBConnectionPool类代表一个由url标识的数据库连接池.前面,我们已经提到,jdbc的url由三个部分组成:协议标识(总是jdbc),子协议标识(例如,odbc.oracle),和数据库标识(跟特定的数据库有关).连接池也具有一个名字,供客户程序引用.另外,连接池还有一个用户名,一个密码和一个最大允许连接数.如果web应用允许所有的用户使用某些数据库操作,而另一些操作是有限制的,则可以创建两个连接池,具有同样的url,不同的user name和password,分别处理两类不同的操">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Servlet中jdbc应用高级篇（三）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>DBConnectionPool类代表一个由url标识的数据库连接池。前面，我们已经提到，jdbc的url由三个部分组成：协议标识（总是jdbc）,子协议标识（例如，odbc.oracle）,和数据库标识（跟特定的数据库有关）。连接池也具有一个名字，供客户程序引用。另外，连接池还有一个用户名，一个密码和一个最大允许连接数。如果web应用允许所有的用户使用某些数据库操作，而另一些操作是有限制的，则可以创建两个连接池，具有同样的url,不同的user name和password，分别处理两类不同的操作权限。现把DBConnectionPool详细介绍如下：</p>
<p>　　一、DBConnectionPool的构造</p>
<p>　　构造函数取得上述的所有参数：</p>
<p>public DBConnectionPool(String name, String URL, String user,</p>
<p>String password, int maxConn) {</p>
<p>this.name = name;</p>
<p>this.URL = URL;</p>
<p>this.user = user;</p>
<p>this.password = password;</p>
<p>this.maxConn = maxConn;</p>
<p>}</p>
<p>　　将所有的参数保存在实例变量中。</p>
<p>　　二、从池中打开一个连接</p>
<p>　　DBConnectionPool提供两种方法来检查连接。两种方法都返回一个可用的连接，如果没有多余的连接，则创建一个新的连接。如果最大连接数已经达到，第一个方法返回null，第二个方法则等待一个连接被其他进程释放。</p>
<p>public synchronized Connection getConnection() {</p>
<p>Connection con = null;</p>
<p>if (freeConnections.size() &gt; 0) {</p>
<p>// Pick the first Connection in the Vector</p>
<p>// to get round-robin usage</p>
<p>con = (Connection) freeConnections.firstElement();</p>
<p>freeConnections.removeElementAt(0);</p>
<p>try {</p>
<p>if (con.isClosed()) {</p>
<p>log("Removed bad connection from " + name);</p>
<p>// Try again recursively</p>
<p>con = getConnection();</p>
<p>}</p>
<p>}</p>
<p>catch (SQLException e) {</p>
<p>log("Removed bad connection from " + name);</p>
<p>// Try again recursively</p>
<p>con = getConnection();</p>
<p>}</p>
<p>}</p>
<p>else if (maxConn == 0 || checkedOut &lt; maxConn) {</p>
<p>con = newConnection();</p>
<p>}</p>
<p>if (con != null) {</p>
<p>checkedOut++;</p>
<p>}</p>
<p>return con;</p>
<p>}</p>
<p>　　所有空闲的连接对象保存在一个叫freeConnections 的Vector中。如果存在至少一个空闲的连接，getConnection()返回其中第一个连接。下面，将会看到，进程释放的连接返回到freeConnections的末尾。这样，最大限度地避免了数据库因一个连接不活动而意外将其关闭的风险。</p>
<p>　　再返回客户之前，isClosed()检查连接是否有效。如果连接被关闭了，或者一个错误发生，该方法递归调用取得另一个连接。</p>
<p>　　如果没有可用的连接，该方法检查是否最大连接数被设置为0表示无限连接数，或者达到了最大连接数。如果可以创建新的连接，则创建一个新的连接。否则，返回null。</p>
<p>　　方法newConnection()用来创建一个新的连接。这是一个私有方法，基于用户名和密码来确定是否可以创建新的连接。</p>
<p>private Connection newConnection() {</p>
<p>Connection con = null;</p>
<p>try {</p>
<p>if (user == null) {</p>
<p>con = DriverManager.getConnection(URL);</p>
<p>}</p>
<p>else {</p>
<p>con = DriverManager.getConnection(URL, user, password);</p>
<p>}</p>
<p>log("Created a new connection in pool " + name);</p>
<p>}</p>
<p>catch (SQLException e) {</p>
<p>log(e, "Can not create a new connection for " + URL);</p>
<p>return null;</p>
<p>}</p>
<p>return con;</p>
<p>}</p>
<p>　　jdbc的DriverManager提供一系列的getConnection（）方法，可以使用url和用户名，密码等参数创建一个连接。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 23:45:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/connection/" title="connection">connection</a>, <a href="https://www.iamivan.net/tag/password/" title="password">password</a>, <a href="https://www.iamivan.net/tag/con/" title="CON">CON</a>, <a href="https://www.iamivan.net/tag/url%e8%bf%9e%e6%8e%a5/" title="url连接">url连接</a>, <a href="https://www.iamivan.net/tag/newconnection/" title="newconnection">newconnection</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Servlet中jdbc应用高级篇（三）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgndZb.html" rel="bookmark">Servlet中jdbc应用高级篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				servlet|高级  JDBC使用数据库URL来说明数据库驱动程序.数据库URL类似于通用的URL,但SUN 在定义时作了一点简化,其语法如下: Jdbc::[node]/[database] 其中子协议(subprotocal)定义驱动程序类型,node提供网络数据库的位置和端口号,后面跟可选的参数.例如: String url=&quot;jdbc:inetdae:myserver:1433?language=us-english&amp;sql7=true&quot; 表示采用inetdae驱动程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNNx8b.html" rel="bookmark">Servlet中jdbc应用高级篇（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个动态的网站频繁地从数据库中取得数据来构成html页面.每一次请求一个页面都会发生数据库操作.但连接数据库却是一个需要消耗大量时间的工作,因为请求连接需要建立通讯,分配资源,进行权限认证.这些工作很少能在一两秒内完成.所以,建立一个连接,然后再后续的查询中都使用此连接会大大地提高性能.因为servlet可以在不同的请求间保持状态,因此采用数据库连接池是一个直接的解决方案. Servlet在服务器的进程空间中驻留,可以方便而持久地维护数据库连接.接下来,我们介绍一个完整的连接池的实现.在实现中,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo66ldz.html" rel="bookmark">Servlet中jdbc应用高级篇（五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在我们结合DBConnetionManager和DBConnectionPool类来讲解servlet中连接池的使用: 一.首先简单介绍一下Servlet的生命周期: Servlet API定义的servlet生命周期如下: 1. Servlet 被创建然后初始化(init()方法). 2. 为0个或多个客户调用提供服务(service()方法). 3. Servlet被销毁,内存被回收(destroy()方法). 二.servlet中使用连接池的实例 使用连接池的servlet有三个阶段的典			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myrrndp.html" rel="bookmark">Servlet中jdbc应用高级篇（四）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DBConnetionManager的构造函数是私有函数,以避免其他类创建其实例. private DBConnectionManager() { init(); } DBConnetionManager的客户调用getInstance()方法来得到该类的单一实例的引用. static synchronized public DBConnectionManager getInstance() { if (instance == null) { instance = new DBConnectio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRRgRz.html" rel="bookmark">Servlet中jdbc应用高级篇（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JDBC使用数据库URL来说明数据库驱动程序.数据库URL类似于通用的URL,但SUN 在定义时作了一点简化,其语法如下: Jdbc::[node]/[database] 其中子协议(subprotocal)定义驱动程序类型,node提供网络数据库的位置和端口号,后面跟可选的参数.例如: String url=&quot;jdbc:inetdae:myserver:1433?language=us-english&amp;sql7=true&quot; 表示采用inetdae驱动程序连接1433端口上的m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPk4gDM.html" rel="bookmark">&lbrack;WebKit&rsqb; JavaScriptCore解析--高级篇&lpar;三&rpar; Register Allocation &amp;amp&semi;amp&semi; Trampoline</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Register Allocation 对于一个JIT而言,寄存器分配对系统的消耗通常是一个瓶径.之前有Graph Coloring Allocators, Chaitin style等分配方式,现在要介绍的是DFG JIT使用的Linear Scan算法.其基本工作方式是将占用寄存器的变量根据生命周期长短排列出来,在使用时查看可以回收哪些寄存器加以利用. 先看一些定义: •Live interval:是某个变量可以存活的一个指令序列,也可以称为了连续性.这个也依赖于算法使用的是深度优先还是广度			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRLK8z.html" rel="bookmark">Servlet开发中JDBC的高级应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				servlet|高级 连结数据库 JDBC使用数据库URL来说明数据库驱动程序.数据库URL类似于通用的URL,但SUN 在定义时作了一点简化,其语法如下: Jdbc::[node]/[database] 其中子协议(subprotocal)定义驱动程序类型,node提供网络数据库的位置和端口号,后面跟可选的参数.例如: String url=&quot;jdbc:inetdae:myserver:1433?language=us-english&amp;sql7=true&quot; 表示采用inetd			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNg6Zb.html" rel="bookmark">c&num;扩展方法奇思妙用高级篇三：Enumerable&period;Cast&amp;amp&semi;lt&semi;T&amp;amp&semi;gt&semi;应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Enumerable.Cast&lt;T&gt;用于将IEnumerable转换为泛型版本IEnumerable&lt;T&gt;.转换后可尽情享用Enumerable的其它方法(如Where.Select),给我们的编码带来极大便利. 但MSDN中仅给出一个转换ArrayList的例子,很多人看了感觉现在都在用List&lt;T&gt;,还有谁会用ArrayList,Cast&lt;T&gt;没多少用处,除非处理一些之前遗留的一些代码. 其实Cast&lt;T&gt;并非如此简单,它可以用在很多地方.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXNLvz.html" rel="bookmark">&lbrack;WebKit&rsqb; JavaScriptCore解析--高级篇&lpar;二&rpar; 类型推导&lpar;Type Inference&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类型推导是DFG JIT最重要的一个基础,WebKit官网对此做了一点解释,翻译如下做为学习参考. Type inference通过profiling values来做到的,先是预测对哪些类型操作进行分析,再添加类型检查,最后基于类型检查的结果建立类型统计数据. 用下面的例子来说明这个过程: o.x * o.x + o.y * o.y 其中o是一个对象,x和y是它的属性,它们不是访问器(accessor),只是一般的属性.我们也可以说这两个属性值会返回double类型数值,但也有时会返回整型数据			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw8rEb.html" rel="bookmark" class="title">网页设计的历史变革&colon;不同时期里面网页设计的关键特点</a>
					<div>
						文章描述:从基本文本网页至移动网页设计,网页设计全历史演变流程.  从1990年代初的基本文本编辑的网页开始,1990年代中期的在线网页建设,到上世纪90年代末崛起的flash,再到后来的CSS和Ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjKAZM.html" rel="bookmark" class="title">Photoshop调色教程&colon;调制淡紫色女孩照片</a>
					<div>
						本教程的色调以中性色为主稍微带有一点淡紫色.调色过程也比较简单.先简单加强一下照片的对比度,这样中性色的效果就出来了. 本教程的色调以中性色为主稍微带有一点淡紫色.调色过程也比较简单.先简单加强一下照 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A7oqp.html" rel="bookmark" class="title">在HTML5中你如何使用CSS建立不可选的文字</a>
					<div>
						 代码如下: &lt;!DOCTYPE HTML&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;Creating non-selectable text usi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2AJkb.html" rel="bookmark" class="title">Photoshop合成制作超炫的科幻电影海报</a>
					<div>
						  最终效果 一.创意思路解析 1.电影背景介绍. 2.发散思维. 3.寻找灵感. 4.构思画面. 5.素材收集. 二.合成思路解析. 1.首先我们新建一个宽900像素,高光1350像素的文件.之后将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZkAVb.html" rel="bookmark" class="title">电脑鼠标右键如何快速生成目录列表</a>
					<div>
						  将音乐文件夹中的音乐制成列表保存或共享给朋友炫耀一番,将自己收藏的各种类别的文件做个清单备查,这些都是我们的实际需求.然而,此前我们见到的种种生成列表的方式往往过于繁琐.那么,能不能不借助于第三方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZkR7z.html" rel="bookmark" class="title">Excel财务函数汇总</a>
					<div>
						Excel的财务函数是指用来进行财务处理的函数. 可以进行一般的财务计算,如确定贷款的支付额.投资的未来值或净现值,以及债券或息票的价值. 在财务函数中有两个常用变量:f和b.其中f为年付息次数,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKdVoM.html" rel="bookmark" class="title">ps去水印教程</a>
					<div>
						  我们在互联网上找到的不少图片都是有水印或者文字的.ps去水印教程你学过吗?怎样用Photoshop快速去水印和去掉文字呢?一般来说,常用的PS去水印.PS去掉文字的常用PS技巧有仿制图章.修补.复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8r93b.html" rel="bookmark" class="title">Office构筑Sharepoint项目的五个建议</a>
					<div>
						在过去的几个月,事实上有好几年里,企业机构对Sharepoint的看法明显有着分歧.一部分企业认为Sharepoint是微软出品的另一种产品,他们可以购买并安装在他们当前的系统中;另一部分认为Shar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGvm6p.html" rel="bookmark" class="title">按键精灵键盘命令完全掌握</a>
					<div>
						按键精灵作为一款模拟键盘鼠标操作的软件,已经达到只要在电脑前用双手可以完成的动作,按键精灵都可以替你完成的水平.下面我们就来一起认识一下按键精灵键盘命令,学习下按键精灵教程如何能成为一个按键达人. 键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NwQDz.html" rel="bookmark" class="title">学习Java模拟实现百度文档在线浏览&lowbar;java</a>
					<div>
						这个思路是我参考网上而来,代码是我实现. 采用Apache下面的OpenOffice将资源文件转化为pdf文件,然后将pdf文件转化为swf文件,用FlexPaper浏览. ok, A.下载OpenO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze64mAb.html" rel="bookmark" class="title">JavaScript怎么判断图片是否加载完成以便获取其尺寸&lowbar;javascript技巧</a>
					<div>
						有时需要获取图片的尺寸,这需要在图片加载完成以后才可以,求方法? 一.load事件 复制代码 代码如下: &lt;!DOCTYPE HTML&gt; &lt;html&gt; &lt;head&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZGa4b.html" rel="bookmark" class="title">linux 内核 指针-请教linux内核模块指针的问题</a>
					<div>
						问题描述 请教linux内核模块指针的问题 我在一个内核模块中写了下面一段代码,编译没问题,执行时报错(oops)好像是指针的问题,只要不在while循环中给j赋值就没问题,不知何故,第一次做内核模块 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamamgb.html" rel="bookmark" class="title">&lbrack;原创&rsqb;&lpar;2010&period;02&period;07更新&rpar;忙里偷闲中写的一个系统物理&sol;虚拟内存查看器。</a>
					<div>
						[原创]忙里偷闲中写的一个系统物理/虚拟地址内容查看器     都是老技术,没啥新意.为了方便我在调试中要了解虚拟或物理内存的情况编写的,懒得装WinDbg 的情况下比较方便.程序在gccNTDrvF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y85VM.html" rel="bookmark" class="title">代码访获取不到cookie-C&num;代码获取不到js设置的cookie</a>
					<div>
						问题描述 C#代码获取不到js设置的cookie js代码 C#代码 解决方案 你获取的时机不对吧..js是客户端设置的,js执行后,后续的请求才会附带上这个js设置的cookie 而且你用的jque ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRLBep.html" rel="bookmark" class="title">qt    窗体间通信-关于QTsocket Client客户端 进不去槽函数</a>
					<div>
						问题描述 关于QTsocket Client客户端 进不去槽函数 代码如下: using namespace std; Client::Client(QObject *parent) : QObjec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK81Wz.html" rel="bookmark" class="title">extjs-有哪位大神做过ExtJS 树节点的搜索功能   求解！！！</a>
					<div>
						问题描述 有哪位大神做过ExtJS 树节点的搜索功能 求解!!! ExtJs树节点的搜索功能,要求默认只展开全部根节点,点击搜索跳转到指定的节点 总共分为三级 第一级就是所有节点的父节点 第二级就是叶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4A2Lz.html" rel="bookmark" class="title">Java数据库连接池比较（c3p0&comma;dbcp&comma;proxool和BoneCP）</a>
					<div>
						Java框架数据库连接池比较(c3p0,dbcp和proxool,BoneC) 现在常用的开源数据连接池主要有c3p0,dbcp,proxool,BoneCP,其中: ¨         hibern ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZoyLM.html" rel="bookmark" class="title">Ruby Study 6 &colon; Loops and Iterators</a>
					<div>
						前面多次介绍到了Array, Hash, Set, Range, Matrix, Vector 等collection class的Iterator特性, 如each方法. 这次专门讲一讲Loops和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBlOwM.html" rel="bookmark" class="title">架构漫谈（一）：什么是架构？</a>
					<div>
						原文:架构漫谈(一):什么是架构? 架 构漫谈是由资深架构师王概凯Kevin执笔的系列专栏,专栏将会以Kevin的架构经验为基础,逐步讨论什么是架构.怎样做好架构.软件架构如何落地.如 何写好程序等问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyWVNz.html" rel="bookmark" class="title">在C2C市场被淘宝一家独大数年之后拍拍网卷土重来</a>
					<div>
						在C2C市场被淘宝一家独大数年之后,拍拍网卷土重来.昨日,易主京东的新拍拍网正式宣布上线,并召开战略合作伙伴大会.拍拍网将用更加严苛的准入门槛抢夺生存空间,包抄阿里巴巴核心业务淘宝网.不过,尽管拍拍网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6q42M.html" rel="bookmark" class="title">iOS推送之本地通知UILocalNotification&lowbar;IOS</a>
					<div>
						摘要: Notification是智能手机应用编程中非常常用的一种传递信息的机制,而且可以非常好的节省资源,不用消耗资源来不停地检查信息状态(Pooling),在iOS下应用分为两种不同的Notifi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ16LQb.html" rel="bookmark" class="title">JQuery插件iScroll实现下拉刷新，滚动翻页特效&lowbar;jquery</a>
					<div>
						JQuery插件:iScroll 页面布局: &lt;div id=&quot;wrapper&quot;&gt; &lt;div id=&quot;scroller&quot;&gt; &lt;di ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QLPaM.html" rel="bookmark" class="title">谁在制造百度对seo的偏见</a>
					<div>
						      在文章开笔之前,我想先说一个事实:百度对SEO是存在偏见甚至误解的.如果你跟百度的相关人员沟通过,你对此不会怀疑.所以我们现在要问的是:谁在制造百度对seo的偏见?       首先很多人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZQ0qb.html" rel="bookmark" class="title">boolean-MontionEvent&period;ACTION&lowbar;UP状态event&period;getX&lpar;&rpar; 一直等于零</a>
					<div>
						问题描述 MontionEvent.ACTION_UP状态event.getX() 一直等于零 public boolean onTouch(View v, MotionEvent event) {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7QRrM.html" rel="bookmark" class="title">关于C&num;继承，继承父类构造函数时报错？</a>
					<div>
						问题描述 请教,如下,代码长,就收缩截图了.为什么子类在base引用父类构造函数时候,变量出错? 解决方案 解决方案二: 解决方案三:找到错误了,唉,真低级啊!解决方案四:这肯定是意外解决方案五:报错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZO33z.html" rel="bookmark" class="title">ROR应用开发的UML建模使用什么工具？</a>
					<div>
						问题描述 有没有这样的工具? 解决方案 netbeans6.1里面好像就有UML建模工具解决方案二:UML和语言无关,Netbeans和eclipse现在都有建模插件,经常被使用的是Rational, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG127vM.html" rel="bookmark" class="title">节能趋势凸显海尔冰柜成消费者首选节能产品</a>
					<div>
						日前,海尔 冰柜获得美国UL权威认证,成为全球首个通过美国市场准入要求的家电企业.而在工信部最新公布的&quot;能效明星&quot;产品中,海尔冰柜又以最多的产品型号获得&quot;能效之星&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NYgRp.html" rel="bookmark" class="title">ARIMA模型实例讲解：时间序列预测需要多少历史数据？</a>
					<div>
						时间序列预测,究竟需要多少历史数据? 显然,这个问题并没有一个固定的答案,而是会根据特定的问题而改变. 在本教程中,我们将基于 Python 语言,对模型输入大小不同的历史数据,对时间序列预测问题展开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7Aoyp.html" rel="bookmark" class="title">Windows Route 路由表命令整理</a>
					<div>
						Windows Route 路由表命令 在本地 IP 路由表中显示和修改条目. 语法 route [-f] [-p] [Command [Destination] [mask Netmask] [Ga ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YYG8b.html" rel="bookmark" class="title">文化部整改手游市场 41款涉黄手游遭处理</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 文化部日前发布第20批违法违规互联网文化活动查处结果.截至5月底,相关文化市场综合执法机构已经对点名的&quot;豌豆荚&quot;等14家手机游戏平台 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
